Bug 175103 - [PATCH] security/unhide: update to 20121229
Summary: [PATCH] security/unhide: update to 20121229
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-07 14:00 UTC by ntarmos
Modified: 2013-02-09 14:10 UTC (History)
1 user (show)

See Also:


Attachments
unhide-20121229.patch (2.88 KB, patch)
2013-01-07 14:00 UTC, ntarmos
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ntarmos 2013-01-07 14:00:00 UTC
- Update to 20121229

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2013-01-07 14:00:11 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-01-07 14:00:12 UTC
Maintainer of security/unhide,

Please note that PR ports/175103 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/175103

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2013-01-07 14:00:13 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 ntarmos 2013-01-07 15:30:21 UTC
Submitter is maintainer

\n\n
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2013-01-08 04:36:54 UTC
State Changed
From-To: feedback->open

Submitter is maintainer from another address.
Comment 6 Martin Wilke freebsd_committer 2013-02-09 14:03:02 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 7 dfilter service freebsd_committer 2013-02-09 14:03:14 UTC
Author: miwi
Date: Sat Feb  9 14:03:00 2013
New Revision: 311978
URL: http://svnweb.freebsd.org/changeset/ports/311978

Log:
  - Update to  20121229
  
  PR:		175103
  Submitted by:	maintainer

Modified:
  head/security/unhide/Makefile   (contents, props changed)
  head/security/unhide/distinfo   (contents, props changed)
  head/security/unhide/files/patch-Makefile   (contents, props changed)

Modified: head/security/unhide/Makefile
==============================================================================
--- head/security/unhide/Makefile	Sat Feb  9 14:02:02 2013	(r311977)
+++ head/security/unhide/Makefile	Sat Feb  9 14:03:00 2013	(r311978)
@@ -6,15 +6,16 @@
 #
 
 PORTNAME=	unhide
-PORTVERSION=	20110113
+PORTVERSION=	20121229
 CATEGORIES=	security
 MASTER_SITES=	SF/${PORTNAME}
+DISTNAME=	${PORTNAME}_${DISTVERSION}
 EXTRACT_SUFX=	.tgz
 
-MAINTAINER=	ntarmos@cs.uoi.gr
+MAINTAINER=	ntarmos@ceid.upatras.gr
 COMMENT=	A forensic tool to find hidden processes and TCP/UDP ports
 
-WRKSRC=		${WRKDIR}/${PORTNAME}-${DISTVERSION}
+NO_WRKSUBDIR=	true
 PLIST_FILES=	sbin/unhide sbin/unhide-tcp
 MAN8=		unhide.8 unhide-tcp.8
 MANCOMPRESSED=	yes
@@ -22,8 +23,9 @@ MANCOMPRESSED=	yes
 .include <bsd.port.pre.mk>
 
 pre-configure:
-	@${REINPLACE_CMD} -e 's/-eLf/-axH/g' -e 's/$$2/$$1/g' ${WRKSRC}/unhide.c
-	@${REINPLACE_CMD} -e 's/-t/-p tcp -/g' -e 's/-u/-p udp -/g' \
-		${WRKSRC}/unhide-tcp.c
+	@${REINPLACE_CMD} -e 's/-eLf/-axH/g' -e 's/$$2/$$1/g' ${WRKDIR}/unhide-posix.c
+	@${REINPLACE_CMD} -e 's/linux\/limits/limits/g' ${WRKDIR}/unhide-output.c
+	@${REINPLACE_CMD} -e 's/-tan/-p tcp -an/g' -e 's/-uan/-p udp -an/g' \
+		-e 's/use_ss = 1/use_ss = 0/g' ${WRKDIR}/unhide-tcp.c
 
 .include <bsd.port.post.mk>

Modified: head/security/unhide/distinfo
==============================================================================
--- head/security/unhide/distinfo	Sat Feb  9 14:02:02 2013	(r311977)
+++ head/security/unhide/distinfo	Sat Feb  9 14:03:00 2013	(r311978)
@@ -1,2 +1,2 @@
-SHA256 (unhide-20110113.tgz) = 21ef6128232d02bba981acdf20f92b92258189f0660c4dac9a8d2dfdcc83e6ab
-SIZE (unhide-20110113.tgz) = 34207
+SHA256 (unhide_20121229.tgz) = fa2d1b4a7e9eb8dc987317566fac2c62a6b42e7bbd91f14a69efb26e3dde6b76
+SIZE (unhide_20121229.tgz) = 54700

Modified: head/security/unhide/files/patch-Makefile
==============================================================================
--- head/security/unhide/files/patch-Makefile	Sat Feb  9 14:02:02 2013	(r311977)
+++ head/security/unhide/files/patch-Makefile	Sat Feb  9 14:03:00 2013	(r311978)
@@ -1,6 +1,6 @@
---- /dev/null	2009-02-26 16:27:00.000000000 +0200
-+++ Makefile	2009-02-26 16:26:45.000000000 +0200
-@@ -0,0 +1,19 @@
+--- /dev/null	2013-01-06 20:26:43.000000000 +0200
++++ Makefile	2013-01-06 20:26:46.000000000 +0200
+@@ -0,0 +1,23 @@
 +DESTDIR		:= ${PREFIX}
 +MANDIR		:= ${DESTDIR}/man
 +INSTALL_PROGRAM	:= /usr/bin/install -s -m 0700
@@ -8,9 +8,13 @@
 +GZIP_CMD	:= /usr/bin/gzip -9
 +MKDIR_CMD	:= /bin/mkdir -p
 +
-+all:
-+	gcc unhide.c -o unhide
-+	gcc unhide-tcp.c -o unhide-tcp
++all: unhide unhide-tcp
++
++unhide: unhide-posix.c
++	gcc -Wall -O2 --static unhide-posix.c -o unhide
++
++unhide-tcp: unhide-tcp.c unhide-tcp-fast.c unhide-output.c
++	gcc -Wall -O2 --static unhide-tcp.c unhide-tcp-fast.c unhide-output.c -o unhide-tcp
 +
 +install: all
 +	${MKDIR_CMD} ${DESTDIR}/sbin ${MANDIR}/man8
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"